# Method: resources.calendars.list

Retrieves a list of calendar resources for an account.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customer}/resources/calendars`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. |
| `orderBy` | `string` Field(s) to sort results by in either ascending or descending order. Supported fields include `resourceId`, `resourceName`, `capacity`, `buildingId`, and `floorName`. If no order is specified, defaults to ascending. Should be of the form "field \[asc\|desc\], field \[asc\|desc\], ...". For example `buildingId, capacity desc` would return results sorted first by `buildingId` in ascending order then by `capacity` in descending order. |
| `pageToken` | `string` Token to specify the next page in the list. |
| `query` | `string` String query used to filter results. Contains one or more search clauses, each with a field, operator, and value. A field can be any of supported fields and operators can be any of supported operations. Operators include '=' for exact match, '!=' for mismatch and ':' for prefix match or HAS match where applicable. For prefix match, the value should always be followed by a \*. Logical operators NOT and AND are supported (in this order of precedence). Supported fields include `generatedResourceName`, `name`, `buildingId`, `floorName`, `capacity`, `featureInstances.feature.name`, `resourceEmail`, `resourceCategory`. For example `buildingId=US-NYC-9TH AND featureInstances.feature.name:Phone`. |

### Request body

The request body must be empty.

### Response body

Public API: Resources.calendars

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "items": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/resources.calendars#CalendarResource`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies this as a collection of CalendarResources. This is always `admin#directory#resources#calendars#calendarResourcesList`. |
| `etag` | `string` ETag of the resource. |
| `items[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/resources.calendars#CalendarResource`)`` The CalendarResources in this page of results. |
| `nextPageToken` | `string` The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/calendar/resource/`
- `
  https://www.googleapis.com/auth/admin.directory.resource.calendar`
- `
  https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).